<?php

class cTarjeta{

	function insertar($nom,$caj_id){

	$sql = "INSERT tb_tarjeta (

		`tb_tarjeta_nom`,

		`tb_caja_id`

		)

		VALUES (

		 '$nom', '$caj_id'

		);"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function ultimoInsert(){

	$sql = "SELECT last_insert_id()"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function filtrar(){

	$sql="SELECT * 

	FROM tb_tarjeta t

	LEFT JOIN tb_caja c ON t.tb_caja_id=c.tb_caja_id

	  WHERE tb_tarjeta_xac='1'

	ORDER BY tb_tarjeta_nom";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;



	}



	function mostrarUno($id){

	$sql="SELECT * 

	FROM tb_tarjeta

	WHERE tb_tarjeta_id=$id";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function modificar($id,$nom,$caj_id){ 

	$sql = "UPDATE tb_tarjeta SET  

	`tb_tarjeta_nom` =  '$nom',

	`tb_caja_id` =  '$caj_id'

	WHERE  tb_tarjeta_id =$id;"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}



	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_tarjeta SET

			`tb_tarjeta_$campo` =  '$valor' 

			WHERE tb_tarjeta_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



}

?>